package jalview.api.analysis;

import jalview.datamodel.AlignmentView;
import jalview.math.MatrixI;

/**
 * A sequence distance score models, that provides a method to compute distances
 * between pairs of sequences
 * 
 * @author gmcarstairs
 *
 */
public interface DistanceScoreModelI extends ScoreModelI
{
  /**
   * Returns a distance score for the given sequence regions, that is, a matrix
   * whose value [i][j] is the distance of sequence i from sequence j by some
   * measure
   * 
   * @param seqData
   * @return
   */
  MatrixI findDistances(AlignmentView seqData);
}
